Bug 904935 - version values for hosts are wrong for libvirt <libvirt_version major="-1" minor="-1" build="-1" revision="-1"/>
version values for hosts are wrong for libvirt <libvirt_version major="-1" mi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Ravi Nori
Barak Dagan
infra
: Regression, TestBlocker
Depends On: 891301
Blocks: 917401
  Show dependency treegraph
 
Reported: 2013-01-28 03:41 EST by Eyal Edri
Modified: 2016-02-10 14:28 EST (History)
12 users (show)

See Also:
Fixed In Version: sf9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 891301
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11808 None None None Never

  None (edit)
Comment 7 Barak Dagan 2013-03-04 07:34:19 EST
Verified on SF9

/api/hosts
==========
<os type="RHEL">
<version full_version="6Server - 6.4.0.4.el6"/>
</os>
<libvirt_version major="0" minor="10" build="2" revision="0" full_version="libvirt-0.10.2-18.el6"/>


[RHEVM shell (connected)]# list hosts --show-all 
================================================
libvirt_version-build             : 2
libvirt_version-full_version      : libvirt-0.10.2-18.el6
libvirt_version-major             : 0
libvirt_version-minor             : 10
libvirt_version-revision          : 0


vdsClient -s 0 getVdsCaps
=========================
packages2 = {'kernel': {'release': '358.0.1.el6.x86_64', 'buildtime': 1361351123.0, 'version': '2.6.32'}, 'spice-server': {'release': '12.el6', 'buildtime': 1358331735, 'version': '0.12.0'}, 'vdsm': {'release': '10.0.el6ev', 'buildtime': 1361961134, 'version': '4.10.2'}, 'qemu-kvm': {'release': '2.355.el6_4.1', 'buildtime': 1360170613, 'version': '0.12.1.2'}, 'libvirt': {'release': '18.el6', 'buildtime': 1359405942, 'version': '0.10.2'}, 'qemu-img': {'release': '2.355.el6_4.1', 'buildtime': 1360170613, 'version': '0.12.1.2'}}
Comment 8 Itamar Heim 2013-06-11 04:52:16 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 04:52:16 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:52:24 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:56:17 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 05:26:21 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.